Skip to main content
GET
List donors

Authorizations

Authorization
string
header
required

Organization API key created in Grain Settings → API. The key determines the organization and is limited to its assigned resource scopes. Write scopes imply the corresponding read scope.

Headers

X-Organization-Id
string

Required with OAuth access tokens. Optional with organization API keys; if supplied, it must match the key's organization.

Query Parameters

page
integer
default:1

Page number (1-based)

Required range: x >= 1
limit
integer
default:20

Records per page

Required range: 1 <= x <= 1000
householdRef
string
isActive
enum<string>
Available options:
true,
false
hasGiven
enum<string>
Available options:
true,
false
lastGiftFrom
string<date>
lastGiftTo
string<date>
states
string

Comma-separated state values.

cities
string

Comma-separated city values.

zipCodes
string

Comma-separated postal codes.

membershipStatuses
string

Comma-separated membership statuses.

donorTypes
string

Comma-separated donor types.

givingAmountMin
number
givingAmountMax
number
hasEmail
enum<string>
Available options:
true,
false
hasPhone
enum<string>
Available options:
true,
false
sortBy
enum<string>
default:name
Available options:
name,
totalGiving,
createdAt
sortOrder
enum<string>
default:asc
Available options:
asc,
desc

Response

Paginated donors

donors
object[]
pagination
object
Last modified on August 23, 2026